/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_APP_CTRL_
#define _VIDEO_APP_CTRL_


#include "video-player.h"


bool MpVideoAppCtrlInit(VideoAppData* pAppData);
bool MpVideoAppCtrlResetForRelaunching(VideoAppData* pAppData);
bool MpVideoAppCtrlIsTopView(void* pUserData);
bool MpVideoAppCtrlIsExistPlayerHandle(void);
void MpVideoAppCtrlSetForCheckingForegroundwindow(bool bForwgroundState);
void MpVideoAppCtrlSetRotation(int nRotateMode, void *pUserData);
bool MpVideoAppCtrlGetFloatingStatus(void);
bool MpVideoAppCtrlIsCheckCallStatus(void);
void MpVideoAppCtrlInitCheckCallStatus(void);

#endif /* _VIDEO_APP_CTRL_ */
