/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_PROGRESS_BAR_CTRL_
#define _VIDEO_PROGRESS_BAR_CTRL_


void*	MpVideoProgressbarGetEdjHandle(void);
void*	MpVideoProgressbarInit(void* pUserData);
void	MpVideoProgressbarDestroy(void);
void	MpVideoProgressbarCreateTimer(void* pUserData);
void	MpVideoProgressbarDeleteTimer(void);
void	MpVideoProgressbarUpdateDurationTime(char* szDurationTime);
void	MpVideoProgressbarBeginOfStream(void *pUserData);
void	MpVideoProgressbarReset(void* pUserData);
void	MpVideoProgressbarSetSkipEvent(bool bSkip);

#endif /* _VIDEO_PROGRESS_BAR_CTRL_ */
