/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _STREAMING_PLAYER_H_
#define _STREAMING_PLAYER_H_


#ifdef USE_DNET
int		MpVideoStreamingCtrlConnection(void* pUserData);
int		MpVideoStreamingCtrlDisconnection(void* pUserData);
int		MpVideoStreamingCtrlIsConnected(void);
#else
bool	MpVideoStreamingCtrlGetIpAddress(char* szRetIpAddress);
bool	MpVideoStreamingCtrlGetProxy(char* szRetProxy);
bool	MpVideoStreamingCtrlIsNetworkOn(void);
int		MpVideoStreamingCtrlGetNetworkStatus(void);
int		MpVideoStreamingCtrlGetWifiState();
int		MpVideoStreamingCtrlGetCellularState();
bool	MpVideoStreamingCtrlInit(void *pUserData);
void 	MpVideoStreamingCtrlDestroy(void *pUserData);

#endif


#endif /* _STREAMING_PLAYER_H_ */
