/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#ifndef _MP_VIDEO_SUBTITLE_CTRL_
#define _MP_VIDEO_SUBTITLE_CTRL_

bool MpVideoSubtitleCtrlCheckSubtitleFile(char *szMediaUriPath);
void *MpVideoSubtitleCtrlInit(void *pUserData, void *pParent);
void MpVideoSubtitleCtrlDestroy(void);
void MpVideoSubtitleCtrlUpdate(char *szTxt);

bool MpVideoSubtitleCtrlIsExistSubtitle(void);
bool MpVideoSubtitleCtrlGetSubtitleUri(char *szSubtitleUriPath);
void MpVideoSubtitleCtrlSetLayoutShow(bool bShow);
void MpVideoSubtitleCtrlSetSizeMode(int nSizeMode);
int  MpVideoSubtitleCtrlGetSizeMode();
void MpVideoSubtitleCtrlSetShowStatus(bool bShow);
bool MpVideoSubtitleCtrlGetShowStatus();

void MpVideoSubtitleCtrlSetRotate(int nRotateStatus);
void MpVideoSubtitleCtrlSetLockScreen(bool bShow);

#endif				// _MP_VIDEO_SUBTITLE_CTRL_

